Important notice! Blender 2.80 and MSTS, TS20xx plugins

 
  cityrail-rulez Chief Train Controller

Hello everyone!

Please take note that now Blender 2.80 has become available for download, I wasn't aware of this as I didn't check the website until today 15/08/2019! And I uninstalled Blender 2.79b to try out Blender 2.80 and I immediately took noticed that none of the plugins for MSTS and TS20xx were not working in Blender 2.80

There is absolutely nothing wrong with the plugins at all, Blender 2.80 is setup differently has to how the Blender 2.7x plugins code was setup, it's a bit hard for me to explain since I'm not a developer!

My advice is to stick to Blender 2.79b until the authors do get around to upgrading their plugins for use in Blender 2.80

The download for Blender 2.79b can be found here
https://www.blender.org/download/previous-versions/

Click on: Blender 2.79b to go to the download files page! Download Blender 2.79b for your computer, my computer is Windows 64-bit so therefore I will download blender-2.79b-windows64.msi optionally I can download the .zip version, so make sure that you download the correct Blender 2.79b from the download page suitable for your computer

I hope this information helps! Smile
Happy Blendering folks!!!

Sponsored advertisement

  superheatedsteam Assistant Commissioner

Location: Perth, WA
Hi Phil,

Wayne Campbell has also created an exporter for Blender 2.8 which can be downloaded from Elvas Tower (which is currently down for maintenance).

By the way if you download the zip extractor for Blender you can have multiple versions of Blender running on your computer. Just extract into a different folder name.

Cheers,

Marek.
  cityrail-rulez Chief Train Controller

Thanks Marek,

I was unaware of that, I have not found a new exporter for TS20xx/Railworks yet! But I am sure the author will be making a new one soon for Blender 2.80 Smile

As for getting access to Evans Tower, although I did sign up to the forum a few year's back! But I've been unable to get onto Evans Tower, not knowing why though as I never made any post at all on the forum! They simply blocked my account the moment I signed up for no reason at all which is unfair really as I needed to get access to tutorials and downloads! That's why I signed up to Evans Tower in the first place

I had no intention to make any post on the Evans Tower forums, I just needed to get access for tutorials and downloads but if that's how they felt about me they all can eat a shovel of cement to put it in a polite term, I will say no more!

As for the Blender zipped files, I do know that I could have multiple versions running on my computer! But I already have too many 3d modelling programs on my computer it's not funny!!! Train Sim Modeler, Blender 2.79b, Gmax, 3ds Max 2019, Maya 2019 and Google Sketchup

It's not easy learning Maya, but I have learnt not exactly a lot about 3ds Max! But I know what to do when it comes to exporting models into TS2019 Smile A lot easier than using the TS20xx/Railworks plugin for Blender, but I know how to use the Blender plugin now Smile it took me longer to figure it out than what I'd originally thought! Smile

Regards, Phil
  superheatedsteam Assistant Commissioner

Location: Perth, WA
Hi Phil,

Elvas Tower is back up.

A couple of years ago there was some problem with someone creating multiple accounts to make trouble so new registrations were frozen for a number of months. You should be able to login now or create a new account.

The Blender exporter for 2.8 only exports .S files. If you want to export to TS20xx/Railworks stay with the 2.79 exporter.

If you cant login and you want these exporters let me know.

Cheers,

Marek.
  cityrail-rulez Chief Train Controller

Hi Phil,

Elvas Tower is back up.

A couple of years ago there was some problem with someone creating multiple accounts to make trouble so new registrations were frozen for a number of months. You should be able to login now or create a new account.

The Blender exporter for 2.8 only exports .S files. If you want to export to TS20xx/Railworks stay with the 2.79 exporter.

If you cant login and you want these exporters let me know.

Cheers,

Marek.
superheatedsteam
Ah, that best explains what was happening at Evans Tower! I never knew that someone had made multiple accounts that would have been a nightmare to fix

Overall, I can export models from 3ds Max over to TS20xx/Railworks a lot easier than from Blender! Only because the shader names are already in the materials list in 3ds Max, in Blender I will need to name each shader respectively before exporting!

For me to move over to Blender 2.80! I will need the MSTS exporter I'm not overly concerned about the TS20xx/Railworks exporter for Blender as yet! But the other plugin I will need for Blender 2.80 is the .md3 importer/exporter I guess that you may know my reason for needing this for Blender 2.80, as I do currently have the .md3 importer/exporter for Blender 2.79b and I haven't yet found the plugin for 2.80

If you can email me the MSTS plugin for Blender 2.80 I'd appreciate it mate SmileSmile I am just awaiting for the .md3 plugin to be available if it's not yet available, I haven't checked for a week so far!
Regards, Phil
  superheatedsteam Assistant Commissioner

Location: Perth, WA
Hi Phil,

Here is the link for the Blender 2.79 exporter

http://www3.telus.net/wacampbell/downloads/BlenderToMSTS.zip

Here is the link for the Blender 2.8 exporter

http://www3.telus.net/wacampbell/downloads/Blender28ToMSTS.zip

Blender 2.8 does not have a .3ds import/export yet either but that's not a problem.

Use Blender 2.79 to import the .md3 or .3ds file.  Then save as a .blend file and open with Blender 2.8

Another option is to have both Blender 2.79 and Blender 2.8 open at the same time.  Import the model into 2.79, then CTRL + C to copy selected the objects you want and in 2.8 use CTRL + V to paste the objects.

You will also find that the Blender 2.8 exporter uses the standard MSTS shaders.  It's all covered in the included MSTSExporter Instructions.pdf file.

I found 2.8 a bit awkward at first when trying to find commonly used tools that were not covered by hot keys.  After a while though, when I did find them they are normally in a logical location with other like tools. I find I don't have to refer to my reference notes as often with 2.8.  The more I use it, the more I like it.

Cheers,

Marek.
  cityrail-rulez Chief Train Controller

Thanks heaps for that, Marek Smile

When I first checked out Blender 2.80, I did noticed that there was no .3ds import/export as you said, it's not an issue!
I have a few 3d modelling programs that I can simply convert the .3ds file into a format suitable to import into Blender 2.80 or vice-versa, I will admit it! I like that .FBX format Laughing

I never knew, that I could copy & paste between two different versions of Blender! Thanks for the heaps up Smile That will save a lot of time! I wonder if it's also possible to copy & paste between 2 different 3d modelling programs! I will give it a try just to be thinking outside the box LaughingLaughing

Regards, Phil

Sponsored advertisement

Subscribers: superheatedsteam

Display from: